%define include_holidayparser  0
%{?_with_holidayparser: %{expand: %%global include_holidayparser 1}}

Name:           dayplanner
Version:        0.8.1
Release:        3%{?dist}
Summary:        An easy and clean Day Planner
Summary(pl):    Prosty i elegancki organizer
Group:          Applications/Productivity
License:        GPLv3+
URL:            http://www.day-planner.org/
Source0:        http://download.gna.org/dayplanner/%{name}-%{version}.tar.bz2
Source1:        holiday_japan
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  gettext desktop-file-utils perl
Requires:       hicolor-icon-theme

%description
Day Planner is a simple time management program.

Day Planner is designed to help you easily manage your time.
It can manage appointments, birthdays and more. It makes sure you
remember your appointments by popping up a dialog box reminding you about it.

%description -l pl
Day Planner is a prosty program do zarządzania czasem.

Day Planner jest zaprojektowany aby pomóc Tobie łatwo zarządzać Twoim czasem.
Może zarządzać spotkaniami, urodzinami i innymi. Możesz być pewnym że będziesz
pamiętał o spotkaniach przez wyskakujące okna dialogowe przypominające o nich.

%prep
%setup -q

# Desktop file
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Day Planner
GenericName=Day Planner
Comment=An easy and clean Day Planner
Comment[pl_PL]=Prosty i elegancki organizer
Exec=dayplanner
Icon=dayplanner
Terminal=false
Type=Application
Categories=Office;
GenericName[pl_PL]=Day Planner
EOF

%build
# nothing to build

%install
rm -rf $RPM_BUILD_ROOT

%if include_holidayparser
make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} DHPinstall
%else
make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix}
%endif

# Install hicolor icons
for size in 16 24 32 48; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${size}x${size}/apps
  install -m 644 -p art/%{name}-${size}x${size}.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${size}x${size}/apps/%{name}.png
done

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

# Install desktop file
desktop-file-install --vendor="fedora"               \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
  %{name}.desktop

# Install holiday
cp -pf %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{name}/holiday

# Chmod
find $RPM_BUILD_ROOT%{_datadir}/%{name} -name \*.pm -exec chmod 0644 {} \;

# Find the localization
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f dayplanner.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS THANKS TODO ./doc/*
%{_bindir}/%{name}
%{_bindir}/%{name}-daemon
%{_bindir}/%{name}-notifier
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png

%changelog
* Tue Mar 04 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.8.1-3
- Correct install section
- Fix holiday_japan
- Correct BR-s

* Mon Mar 03 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.8.1-2
- Correct install section
- Add holiday_japan

* Tue Feb 19 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.8.1-1
- First release
